package com.bocloud.cmp.model;

import java.util.List;

public class HostSystem {
    private String name; // 名称
    private String status; // 状态
    private String uuid;
    private Integer cpuNum;// 宿主机（物理机）cpu核数
    private Long cpuTotal;
    private Double memTotal;
    private Double diskTotal;
    private Long cpuUsed;
    private Double memUsed;
    private Double diskUsed;
    private String category;
    private String catalog;
    private String cpuModel;
    private String vendor;
    private List<String> stores;
    private List<ServerModel> servers;// 虚拟机
    private List<NetworkCardModel> netcards;
    private Integer vmNum;// 宿主机（物理机）上的虚拟机数量
    private Integer templateNum;// 宿主机（物理机）上的虚拟机数量
    private String powerState;// 宿主机（物理机）电源状态
    private Integer datastoreNum;// 宿主机（物理机）数据存储数量
    private Integer cpuCore;// 宿主机（物理机）cpu数量
    private String hostIp;// 宿主机IP
    private Boolean maintained;
    private Boolean connected;
    private List<DataStoreModel> dataStores;
    private List<NetworkModel> networks;
    private List<SwitcherModel> switchers;
    private ResourcePoolModel resourcePool;
    private Boolean ipv6Enabled;
    private String esxVersion;
    private String evc;
    private String assignedLicense;
    private String ipmiAddress;
    private String ipmiAccount;
    private String ipmiPassword;
    private String ipmiPort;
    private List<ScsiLunModel> scsiLunModels;

    /**
     * @return the name
     */
    public String getName() {
        return name;
    }

    /**
     * @param name the name to set
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * @return the status
     */
    public String getStatus() {
        return status;
    }

    /**
     * @param status the status to set
     */
    public void setStatus(String status) {
        this.status = status;
    }

    /**
     * @return the uuid
     */
    public String getUuid() {
        return uuid;
    }

    /**
     * @param uuid the uuid to set
     */
    public void setUuid(String uuid) {
        this.uuid = uuid;
    }

    /**
     * @return the cpuNum
     */
    public Integer getCpuNum() {
        return cpuNum;
    }

    /**
     * @param cpuNum the cpuNum to set
     */
    public void setCpuNum(Integer cpuNum) {
        this.cpuNum = cpuNum;
    }

    /**
     * @return the cpuTotal
     */
    public Long getCpuTotal() {
        return cpuTotal;
    }

    /**
     * @param cpuTotal the cpuTotal to set
     */
    public void setCpuTotal(Long cpuTotal) {
        this.cpuTotal = cpuTotal;
    }

    /**
     * @return the memTotal
     */
    public Double getMemTotal() {
        return memTotal;
    }

    /**
     * @param memTotal the memTotal to set
     */
    public void setMemTotal(Double memTotal) {
        this.memTotal = memTotal;
    }

    /**
     * @return the diskTotal
     */
    public Double getDiskTotal() {
        return diskTotal;
    }

    /**
     * @param diskTotal the diskTotal to set
     */
    public void setDiskTotal(Double diskTotal) {
        this.diskTotal = diskTotal;
    }

    /**
     * @return the cpuUsed
     */
    public Long getCpuUsed() {
        return cpuUsed;
    }

    /**
     * @param cpuUsed the cpuUsed to set
     */
    public void setCpuUsed(Long cpuUsed) {
        this.cpuUsed = cpuUsed;
    }

    /**
     * @return the memUsed
     */
    public Double getMemUsed() {
        return memUsed;
    }

    /**
     * @param memUsed the memUsed to set
     */
    public void setMemUsed(Double memUsed) {
        this.memUsed = memUsed;
    }

    /**
     * @return the diskUsed
     */
    public Double getDiskUsed() {
        return diskUsed;
    }

    /**
     * @param diskUsed the diskUsed to set
     */
    public void setDiskUsed(Double diskUsed) {
        this.diskUsed = diskUsed;
    }

    /**
     * @return the category
     */
    public String getCategory() {
        return category;
    }

    /**
     * @param category the category to set
     */
    public void setCategory(String category) {
        this.category = category;
    }

    /**
     * @return the catalog
     */
    public String getCatalog() {
        return catalog;
    }

    /**
     * @param catalog the catalog to set
     */
    public void setCatalog(String catalog) {
        this.catalog = catalog;
    }

    /**
     * @return the cpuModel
     */
    public String getCpuModel() {
        return cpuModel;
    }

    /**
     * @param cpuModel the cpuModel to set
     */
    public void setCpuModel(String cpuModel) {
        this.cpuModel = cpuModel;
    }

    /**
     * @return the vendor
     */
    public String getVendor() {
        return vendor;
    }

    /**
     * @param vendor the vendor to set
     */
    public void setVendor(String vendor) {
        this.vendor = vendor;
    }

    /**
     * @return the stores
     */
    public List<String> getStores() {
        return stores;
    }

    /**
     * @param stores the stores to set
     */
    public void setStores(List<String> stores) {
        this.stores = stores;
    }

    /**
     * @return the servers
     */
    public List<ServerModel> getServers() {
        return servers;
    }

    /**
     * @param servers the servers to set
     */
    public void setServers(List<ServerModel> servers) {
        this.servers = servers;
    }

    /**
     * @return the netcards
     */
    public List<NetworkCardModel> getNetcards() {
        return netcards;
    }

    /**
     * @param netcards the netcards to set
     */
    public void setNetcards(List<NetworkCardModel> netcards) {
        this.netcards = netcards;
    }

    /**
     * @return the vmNum
     */
    public Integer getVmNum() {
        return vmNum;
    }

    /**
     * @param vmNum the vmNum to set
     */
    public void setVmNum(Integer vmNum) {
        this.vmNum = vmNum;
    }

    /**
     * @return the templateNum
     */
    public Integer getTemplateNum() {
        return templateNum;
    }

    /**
     * @param templateNum the templateNum to set
     */
    public void setTemplateNum(Integer templateNum) {
        this.templateNum = templateNum;
    }

    /**
     * @return the powerState
     */
    public String getPowerState() {
        return powerState;
    }

    /**
     * @param powerState the powerState to set
     */
    public void setPowerState(String powerState) {
        this.powerState = powerState;
    }

    /**
     * @return the datastoreNum
     */
    public Integer getDatastoreNum() {
        return datastoreNum;
    }

    /**
     * @param datastoreNum the datastoreNum to set
     */
    public void setDatastoreNum(Integer datastoreNum) {
        this.datastoreNum = datastoreNum;
    }

    /**
     * @return the cpuCore
     */
    public Integer getCpuCore() {
        return cpuCore;
    }

    /**
     * @param cpuCore the cpuCore to set
     */
    public void setCpuCore(Integer cpuCore) {
        this.cpuCore = cpuCore;
    }

    /**
     * @return the hostIp
     */
    public String getHostIp() {
        return hostIp;
    }

    /**
     * @param hostIp the hostIp to set
     */
    public void setHostIp(String hostIp) {
        this.hostIp = hostIp;
    }

    /**
     * @return the maintained
     */
    public Boolean getMaintained() {
        return maintained;
    }

    /**
     * @param maintained the maintained to set
     */
    public void setMaintained(Boolean maintained) {
        this.maintained = maintained;
    }

    /**
     * @return the connected
     */
    public Boolean getConnected() {
        return connected;
    }

    /**
     * @param connected the connected to set
     */
    public void setConnected(Boolean connected) {
        this.connected = connected;
    }

    /**
     * @return the dataStores
     */
    public List<DataStoreModel> getDataStores() {
        return dataStores;
    }

    /**
     * @param dataStores the dataStores to set
     */
    public void setDataStores(List<DataStoreModel> dataStores) {
        this.dataStores = dataStores;
    }

    /**
     * @return the networks
     */
    public List<NetworkModel> getNetworks() {
        return networks;
    }

    /**
     * @param networks the networks to set
     */
    public void setNetworks(List<NetworkModel> networks) {
        this.networks = networks;
    }

    /**
     * @return the switchers
     */
    public List<SwitcherModel> getSwitchers() {
        return switchers;
    }

    /**
     * @param switchers the switchers to set
     */
    public void setSwitchers(List<SwitcherModel> switchers) {
        this.switchers = switchers;
    }

    /**
     * @return the resourcePool
     */
    public ResourcePoolModel getResourcePool() {
        return resourcePool;
    }

    /**
     * @param resourcePool the resourcePool to set
     */
    public void setResourcePool(ResourcePoolModel resourcePool) {
        this.resourcePool = resourcePool;
    }

    /**
     * @return the ipv6Enabled
     */
    public Boolean getIpv6Enabled() {
        return ipv6Enabled;
    }

    /**
     * @param ipv6Enabled the ipv6Enabled to set
     */
    public void setIpv6Enabled(Boolean ipv6Enabled) {
        this.ipv6Enabled = ipv6Enabled;
    }

    public String getEsxVersion() {
        return esxVersion;
    }

    public void setEsxVersion(String esxVersion) {
        this.esxVersion = esxVersion;
    }

    public String getEvc() {
        return evc;
    }

    public void setEvc(String evc) {
        this.evc = evc;
    }

    public String getAssignedLicense() {
        return assignedLicense;
    }

    public void setAssignedLicense(String assignedLicense) {
        this.assignedLicense = assignedLicense;
    }

    public String getIpmiAddress() {
        return ipmiAddress;
    }

    public void setIpmiAddress(String ipmiAddress) {
        this.ipmiAddress = ipmiAddress;
    }

    public String getIpmiAccount() {
        return ipmiAccount;
    }

    public void setIpmiAccount(String ipmiAccount) {
        this.ipmiAccount = ipmiAccount;
    }

    public String getIpmiPassword() {
        return ipmiPassword;
    }

    public void setIpmiPassword(String ipmiPassword) {
        this.ipmiPassword = ipmiPassword;
    }

    public String getIpmiPort() {
        return ipmiPort;
    }

    public void setIpmiPort(String ipmiPort) {
        this.ipmiPort = ipmiPort;
    }

    public List<ScsiLunModel> getScsiLunModels() {
        return scsiLunModels;
    }

    public void setScsiLunModels(List<ScsiLunModel> scsiLunModels) {
        this.scsiLunModels = scsiLunModels;
    }
}
